$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.68.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.68.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CA17D5C233E8E194779D36EA6A21E7715720C94E8AB2C3805E3ABF87A2E428B3'
  checksumType = 'sha256'
  checksum64 = 'CA17D5C233E8E194779D36EA6A21E7715720C94E8AB2C3805E3ABF87A2E428B3'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.68-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
